Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Class FullTextSearchLanguageParameterSet

    java.lang.Object
      com.bea.content.expression.FullTextSearchLanguageParameterSet

All Implemented Interfaces
  Serializable

    public class FullTextSearchLanguageParameterSet

extends Object
implements Serializable

Provides the ability to specify a set of Full-Text Search Engine-specific language parameters, for use during query.

The set of parameters and associated values which can be defined is Full-Text Search Engine-specific.

See Also
  Serialized Form

Field Summary
`static ContextKey` | `QUERY_LANGUAGE_PARAMETER_SET_KEY` Optional `ContextKey` which can be placed in the `ContentContext` when executing a full-text search to specify the Full-Text Search Engine-specific language parameter values to use when querying data.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERY_LANGUAGE_PARAMETER_SET_KEY

    public static final ContextKey QUERY_LANGUAGE_PARAMETER_SET_KEY

  Optional `ContextKey` which can be placed in the `ContentContext` when executing a full-text search to specify the Full-Text Search Engine-specific language parameter values to use when querying data.

  For Autonomy language parameters, see `AutonomyLanguageParameterSet`

  The type of object placed in the key, as well as its configuration, is FTS engine-specific.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.